1

I apologize for the basic question, but I failed to find an answer via websearch & discord.

I'm trying to inherit from Open Zeppelin ERC20 which uses solc 0.7. I also need to use Chainlink alarm clock functionality, and the stable release for that uses solc 0.6.

What is the common approach to use OZ ERC20 and Chainlink given current circumstances?

  • I'm willing to change my contracts from 0.7 to 0.6, but I can't find OZ ERC20 0.6 release.

Using truffle v5.1.49

Thank you.

1
  • Have you tried this? What's the error you get? Generally importing OZ will give you the correct version. – Patrick Collins Apr 7 at 13:37
0

If anyone's dealing with the same problem, I just checked with the Chainlink team & alarm clock functionality isn't working with v0.7 and v0.8 at the time of writing. If you want to use alarmClock and ERC-20, the easiest option is to downgrade OZ contracts with cmd :

npm install @openzeppelin/contracts@3.0.0

2

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.